Pterodactyldocs
Application servers database management

Database details

Retrieves the specified database

Available include parameters

ParameterDescription
passwordIncludes the database user password
hostInformation about the database host
GET/api/application/servers/{id}/databases/{database}

Authorization

ApplicationToken
AuthorizationBearer <token>

Application API key (generated at /admin/api)

In: header

Path Parameters

id*integer

Server ID (internal numeric ID)

database*integer

Database ID

Response Body

application/json

curl -X GET "https://example.com/api/application/servers/5/databases/1"
{  "object": "server_database",  "attributes": {    "id": 1,    "server": 5,    "host": 4,    "database": "s5_perms",    "username": "u5_QsIAp1jhvS",    "remote": "%",    "max_connections": 0,    "created_at": "2020-06-12T23:00:13+01:00",    "updated_at": "2020-06-12T23:00:13+01:00"  }}